# GET /api/task/listAll

**URL:** <https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704>\
**Category:** Non-Public API Deprecations\
**Tags:** deprecated\
**Created:** [November 29, 2023, 4:00pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704 "2023-11-29T16:00:37Z")\
**Posts on this page:** 16\
**Page:** 1

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [November 29, 2023, 4:00pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/1 "2023-11-29T16:00:37Z")

</div>

There will not be a direct replacement for this endpoint. Unlike `GET /api/task/list`, which returns all tasks for the identity that called the endpoint, this endpoint will list all tasks for any identity that has at least one. If you need to get tasks for other users, you can use [list-work-items | SailPoint Developer Community](https://developer.sailpoint.com/idn/api/v3/list-work-items) with the `ownerId` query parameter.

`GET https://{tenant}.api.identitynow.com/v3/work-items?ownerId={identityId}`

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 1:42pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/2 "2024-05-16T13:42:28Z")

</div>

Hi @colin_mckibben  
Can we still use this API GET /api/task/list to get all the tasks and then we can modify accordingly.  
Reason for asking is using the work item API we are not getting the id of the identity to whom the request has made and this is making our script more complicated.  
Thanks in Advance

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 1:57pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/3 "2024-05-16T13:57:17Z")

</div>

> [@bkumar592](#):
>
> Can we still use this API GET /api/task/list

This is one of the CC endpoints and will be turned off very soon. Can you be more specific about what gap you are seeing? Please share sample responses and what fields you want to see.

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 2:06pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/4 "2024-05-16T14:06:35Z")

</div>

Hi @colin_mckibben  
Using the CC API we used to get targetexternalID and targetName but using the current API we are not having any information like to above which can help us in find the name or id to whom the request has made.  
Thanks

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 2:23pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/5 "2024-05-16T14:23:26Z")

</div>

Here is an example work item when I called /beta/work-items in my tenant.

```json
{
        "id": "1f1362beeeb04ef4a6abdd50f58bb909",
        "requesterId": "2c9180877f656a50017f75180dd47678",
        "requesterDisplayName": "James Haytko",
        "ownerId": "2c9180897d2cb80b017d39ccb26c1804",
        "ownerName": "philip.ellis",
        "created": "2023-12-13T19:16Z",
        "modified": "2023-12-13T19:16Z",
        "description": "Manual Changes requested for User: James Haytko",
        "state": "Pending",
        "type": "ManualAction",
        "remediationItems": [],
        "approvalItems": [
            {
                "id": "ee332b2d500545839619c712a380c4ed",
                "application": "airtable v4 [source]",
                "account": "james.haytko",
                "operation": "Add",
                "name": "entitlements",
                "value": "user",
                "state": null
            }
        ],
        "name": null,
        "completed": null,
        "numItems": null,
        "form": null
    }

```

I see the requester and the owner IDs in the response. Is that what you’re looking for?

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 2:29pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/6 "2024-05-16T14:29:05Z")

</div>

Hi @colin_mckibben ,  
I am looking for something like requestedFor ID for James Haytko (from the above example)  
Thanks

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 2:29pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/7 "2024-05-16T14:29:44Z")

</div>

> [@bkumar592](#):
>
> I am looking for something like requestedFor ID for James Haytko (from the above example)

That would be the `requesterId`

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 2:32pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/8 "2024-05-16T14:32:25Z")

</div>

If I am the requestor then it works, but, If I request for others and if it waiting for manual task then the output is not having any value related to the other user.

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 2:36pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/9 "2024-05-16T14:36:23Z")

</div>

Can you share an example JSON but replace the actual values with dummy names and IDs? I need to see what you are talking about. Also, please provide the reproduction steps. What actions did you take to result in a work item that has not requesterId. The more specific you are, the better I will be able to assist.

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 2:42pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/10 "2024-05-16T14:42:50Z")

</div>

Hi @colin_mckibben

From the work item output below, we know that the work item is waiting for manual task for user Arun Kumar, however, we don’t know the technical id or any other unique information for the user Arun, Kumar. I hope I have answered it.

```
{
    "id": "079c2787d9854e528b1ce4cab092fa95",
    "requesterId": "2c9180867e9bfc64017eb20fd759082a",
    "requesterDisplayName": "",
    "ownerId": "2c91808880d7bc1c0180dd527bd77b3a",
    "ownerName": "",
    "created": "2024-05-16T13:16Z",
    "modified": "2024-05-16T13:16Z",
    "description": "Manual Changes requested for User: Arun Kumar",
    "state": "Pending",
    "type": "ManualAction",
    "remediationItems": [],
    "approvalItems": [
        {
            "id": "",
            "application": "",
            "account": null,
            "operation": "Create",
            "name": "roles",
            "value": "",
            "state": null
        }
    ],
    "name": null,
    "completed": null,
    "numItems": null,
    "form": null
}

```

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 2:47pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/11 "2024-05-16T14:47:04Z")

</div>

I see a `requesterId` and an `ownerId`. Are any of those Arun Kumar?

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 2:48pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/12 "2024-05-16T14:48:03Z")

</div>

No there are different

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 3:54pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/13 "2024-05-16T15:54:33Z")

</div>

If I understand correctly, this API will return the ID of the person who requested the access and the ID of the person who owns the manual task to complete the request. The problem occurs If an identity requests access on behalf of someone else. If this happens, then the `requester` from this API will be the ID of the person who made the request, but there will not be an ID for the target recipient (i.e. the person for whom the request is being made for). Is that correct?

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 16, 2024, 4:43pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/14 "2024-05-16T16:43:01Z")

</div>

yes, you are right and we are looking for that.

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [May 16, 2024, 6:09pm UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/15 "2024-05-16T18:09:17Z")

</div>

I have opened an idea discussion for you here: [List work items endpoint doesn't return information on the identity whom access is being requested for](https://developer.sailpoint.com/discuss/t/list-work-items-endpoint-doesnt-return-information-on-the-identity-whom-access-is-being-requested-for/56782)

I have also forwarded this request to the PM that owns it.

---

<div class="post-metadata">

**Author:** ![bkumar592](https://avatars.discourse-cdn.com/v4/letter/b/3ab097/32.png) [@bkumar592](https://developer.sailpoint.com/discuss/u/bkumar592)\
**Post date:** [May 17, 2024, 9:32am UTC](https://developer.sailpoint.com/discuss/t/get-api-task-listall/21704/16 "2024-05-17T09:32:23Z")

</div>

Thanks for creating Idea @colin_mckibben
